org.apache.jmeter.gui.action.template

## Class TemplateManager

- java.lang.Object
- - org.apache.jmeter.gui.action.template.TemplateManager

-     public class TemplateManager
      extends java.lang.Object

  Manages Test Plan templates
  Since:
    2.10

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTemplate(Template template)`
    `static TemplateManager` | `getInstance()`
    `Template` | `getTemplateByName(java.lang.String selectedTemplate)`
    `java.lang.String[]` | `getTemplateNames()`
    `TemplateManager` | `reset()` Resets the template Map by re-reading the template files.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TemplateManager getInstance()

    - #### addTemplate

          public void addTemplate(Template template)

    - #### reset

          public TemplateManager reset()

      Resets the template Map by re-reading the template files.
      Returns:
        this

    - #### getTemplateNames

          public java.lang.String[] getTemplateNames()

      Returns:
        the templates names

    - #### getTemplateByName

          public Template getTemplateByName(java.lang.String selectedTemplate)

      Parameters:
        `selectedTemplate` - Template name
      Returns:
        `Template`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.